# Generated by Django 5.0.7 on 2024-07-24 03:32

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("iranian_cities", "0006_alter_city_province_alter_county_province"),
    ]

    operations = [
        migrations.AlterModelTableComment(
            name="city",
            table_comment="Model representing a city within a district.",
        ),
        migrations.AlterModelTableComment(
            name="county",
            table_comment="Model representing a county within a province.",
        ),
        migrations.AlterModelTableComment(
            name="district",
            table_comment="Model representing a district within a county.",
        ),
        migrations.AlterModelTableComment(
            name="province",
            table_comment="Model representing a province.",
        ),
        migrations.AlterModelTableComment(
            name="ruraldistrict",
            table_comment="Model representing a rural district within a district.",
        ),
        migrations.AlterModelTableComment(
            name="village",
            table_comment="Model representing a village within a rural district.",
        ),
        migrations.AlterField(
            model_name="city",
            name="city_type",
            field=models.IntegerField(
                db_comment="Field to define the type of city.",
                help_text="The type of city.",
                verbose_name="City Type",
            ),
        ),
        migrations.AlterField(
            model_name="city",
            name="code",
            field=models.BigIntegerField(
                db_comment="This field stores the code for the location.",
                help_text="The code representing the location.",
                verbose_name="Code",
            ),
        ),
        migrations.AlterField(
            model_name="city",
            name="county",
            field=models.ForeignKey(
                db_comment="Foreign key to the County model.",
                help_text="The county to which the city belongs.",
                on_delete=django.db.models.deletion.CASCADE,
                related_name="cities",
                to="iranian_cities.county",
                verbose_name="County",
            ),
        ),
        migrations.AlterField(
            model_name="city",
            name="district",
            field=models.ForeignKey(
                db_comment="Foreign key to the District model.",
                help_text="The district to which the city belongs.",
                on_delete=django.db.models.deletion.CASCADE,
                related_name="cities",
                to="iranian_cities.district",
                verbose_name="District",
            ),
        ),
        migrations.AlterField(
            model_name="city",
            name="name",
            field=models.CharField(
                db_comment="This field stores the name of the location.",
                help_text="The name of the location.",
                max_length=255,
                verbose_name="Name",
            ),
        ),
        migrations.AlterField(
            model_name="city",
            name="province",
            field=models.ForeignKey(
                db_comment="Foreign key to the Province model.",
                help_text="The province to which the city belongs.",
                on_delete=django.db.models.deletion.CASCADE,
                related_name="cities",
                to="iranian_cities.province",
                verbose_name="Province",
            ),
        ),
        migrations.AlterField(
            model_name="county",
            name="code",
            field=models.BigIntegerField(
                db_comment="This field stores the code for the location.",
                help_text="The code representing the location.",
                verbose_name="Code",
            ),
        ),
        migrations.AlterField(
            model_name="county",
            name="name",
            field=models.CharField(
                db_comment="This field stores the name of the location.",
                help_text="The name of the location.",
                max_length=255,
                verbose_name="Name",
            ),
        ),
        migrations.AlterField(
            model_name="county",
            name="province",
            field=models.ForeignKey(
                db_comment="Foreign key to the Province model.",
                help_text="The province to which the county belongs.",
                on_delete=django.db.models.deletion.CASCADE,
                related_name="counties",
                to="iranian_cities.province",
                verbose_name="Province",
            ),
        ),
        migrations.AlterField(
            model_name="district",
            name="code",
            field=models.BigIntegerField(
                db_comment="This field stores the code for the location.",
                help_text="The code representing the location.",
                verbose_name="Code",
            ),
        ),
        migrations.AlterField(
            model_name="district",
            name="county",
            field=models.ForeignKey(
                db_comment="Foreign key to the County model.",
                help_text="The county to which the district belongs.",
                on_delete=django.db.models.deletion.CASCADE,
                related_name="districts",
                to="iranian_cities.county",
                verbose_name="County",
            ),
        ),
        migrations.AlterField(
            model_name="district",
            name="name",
            field=models.CharField(
                db_comment="This field stores the name of the location.",
                help_text="The name of the location.",
                max_length=255,
                verbose_name="Name",
            ),
        ),
        migrations.AlterField(
            model_name="district",
            name="province",
            field=models.ForeignKey(
                db_comment="Foreign key to the Province model.",
                help_text="The province to which the district belongs.",
                on_delete=django.db.models.deletion.CASCADE,
                related_name="districts",
                to="iranian_cities.province",
                verbose_name="Province",
            ),
        ),
        migrations.AlterField(
            model_name="province",
            name="code",
            field=models.BigIntegerField(
                db_comment="This field stores the code for the location.",
                help_text="The code representing the location.",
                verbose_name="Code",
            ),
        ),
        migrations.AlterField(
            model_name="province",
            name="name",
            field=models.CharField(
                db_comment="This field stores the name of the location.",
                help_text="The name of the location.",
                max_length=255,
                verbose_name="Name",
            ),
        ),
        migrations.AlterField(
            model_name="ruraldistrict",
            name="code",
            field=models.BigIntegerField(
                db_comment="This field stores the code for the location.",
                help_text="The code representing the location.",
                verbose_name="Code",
            ),
        ),
        migrations.AlterField(
            model_name="ruraldistrict",
            name="county",
            field=models.ForeignKey(
                db_comment="Foreign key to the County model.",
                help_text="The county to which the rural district belongs.",
                on_delete=django.db.models.deletion.CASCADE,
                related_name="rural_districts",
                to="iranian_cities.county",
                verbose_name="County",
            ),
        ),
        migrations.AlterField(
            model_name="ruraldistrict",
            name="district",
            field=models.ForeignKey(
                db_comment="Foreign key to the District model.",
                help_text="The district to which the rural district belongs.",
                on_delete=django.db.models.deletion.CASCADE,
                related_name="rural_districts",
                to="iranian_cities.district",
                verbose_name="District",
            ),
        ),
        migrations.AlterField(
            model_name="ruraldistrict",
            name="name",
            field=models.CharField(
                db_comment="This field stores the name of the location.",
                help_text="The name of the location.",
                max_length=255,
                verbose_name="Name",
            ),
        ),
        migrations.AlterField(
            model_name="ruraldistrict",
            name="province",
            field=models.ForeignKey(
                db_comment="Foreign key to the Province model.",
                help_text="The province to which the rural district belongs.",
                on_delete=django.db.models.deletion.CASCADE,
                related_name="rural_districts",
                to="iranian_cities.province",
                verbose_name="Province",
            ),
        ),
        migrations.AlterField(
            model_name="village",
            name="code",
            field=models.BigIntegerField(
                db_comment="This field stores the code for the location.",
                help_text="The code representing the location.",
                verbose_name="Code",
            ),
        ),
        migrations.AlterField(
            model_name="village",
            name="county",
            field=models.ForeignKey(
                db_comment="Foreign key to the County model.",
                help_text="The county to which the village belongs.",
                on_delete=django.db.models.deletion.CASCADE,
                related_name="villages",
                to="iranian_cities.county",
                verbose_name="County",
            ),
        ),
        migrations.AlterField(
            model_name="village",
            name="district",
            field=models.ForeignKey(
                db_comment="Foreign key to the District model.",
                help_text="The district to which the village belongs.",
                on_delete=django.db.models.deletion.CASCADE,
                related_name="villages",
                to="iranian_cities.district",
                verbose_name="District",
            ),
        ),
        migrations.AlterField(
            model_name="village",
            name="name",
            field=models.CharField(
                db_comment="This field stores the name of the location.",
                help_text="The name of the location.",
                max_length=255,
                verbose_name="Name",
            ),
        ),
        migrations.AlterField(
            model_name="village",
            name="province",
            field=models.ForeignKey(
                db_comment="Foreign key to the Province model.",
                help_text="The province to which the village belongs.",
                on_delete=django.db.models.deletion.CASCADE,
                related_name="villages",
                to="iranian_cities.province",
                verbose_name="Province",
            ),
        ),
        migrations.AlterField(
            model_name="village",
            name="rural_district",
            field=models.ForeignKey(
                db_comment="Foreign key to the Rural District model.",
                help_text="The rural district to which the village belongs.",
                on_delete=django.db.models.deletion.CASCADE,
                related_name="villages",
                to="iranian_cities.ruraldistrict",
                verbose_name="Rural District",
            ),
        ),
        migrations.AlterField(
            model_name="village",
            name="village_type",
            field=models.IntegerField(
                db_comment="Field to define the type of village.",
                help_text="The type of village.",
                verbose_name="Village Type",
            ),
        ),
    ]
